Name:		qubes-input-proxy
Version:	1.0.15
Release:	1%{?dist}
Obsoletes:	input-proxy
Summary:	Simple input device proxy (receiver)

Group:		System Environment/Daemons
License:	GPLv2
URL:		https://www.qubes-os.org/

BuildRequires:	gcc
BuildRequires:	kernel-headers
BuildRequires:	python-setuptools
BuildRequires:	python-devel
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-devel

Source0: %{name}-%{version}.tar.gz

%description
Simple input device proxy, which pass events from /dev/input/eventN device, to
/dev/uintput. It uses stdin/stdout, so it suitable for use as Qubes RPC service.
This package is receiver part.

%package sender
Summary:    Simple input device proxy (sender)
%{?systemd_requires}
BuildRequires:  systemd

%description sender
Simple input device proxy, which pass events from /dev/input/eventN device, to
/dev/uintput. It uses stdin/stdout, so it suitable for use as Qubes RPC service.
This package is sender part.

%prep
%setup -q

%build
make %{?_smp_mflags} all


%install
make install DESTDIR=%{buildroot}

%files
%doc README.md
%defattr(-,root,root,-)
/usr/bin/input-proxy-receiver
/etc/qubes-rpc/qubes.InputMouse
/etc/qubes-rpc/qubes.InputKeyboard
/etc/qubes-rpc/qubes.InputTablet
/lib/udev/rules.d/90-qubes-uinput.rules
/lib/modules-load.d/qubes-uinput.conf
%{python2_sitelib}/qubesinputproxy-*.egg-info/*
%{python2_sitelib}/qubesinputproxy
%{python3_sitelib}/qubesinputproxy-*.egg-info/*
%{python3_sitelib}/qubesinputproxy
%attr(0664,root,qubes) %config(noreplace) /etc/qubes-rpc/policy/qubes.InputMouse
%attr(0664,root,qubes) %config(noreplace) /etc/qubes-rpc/policy/qubes.InputKeyboard
%attr(0664,root,qubes) %config(noreplace) /etc/qubes-rpc/policy/qubes.InputTablet

%files sender
%doc README.md
%defattr(-,root,root,-)
/etc/sudoers.d/qubes-input-trigger
/usr/bin/input-proxy-sender
/usr/bin/qubes-input-trigger
%config(noreplace) /etc/xdg/autostart/qubes-input-trigger.desktop
/lib/udev/rules.d/90-qubes-input-proxy.rules
%{_unitdir}/qubes-input-sender-tablet@.service
%{_unitdir}/qubes-input-sender-mouse@.service
%{_unitdir}/qubes-input-sender-keyboard@.service
%{_unitdir}/qubes-input-sender-keyboard-mouse@.service

%changelog
* Sun Apr 07 2019 Qubes OS Team <qubes-devel@groups.google.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-input-proxy

* Sun Apr 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d3269f3
- version 1.0.15

* Sun Apr 07 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 201c7b4
- travis: drop R3.2

* Fri Apr 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ce57fe2
- travis: update Fedora and Debian versions, switch to xenial

* Fri Apr 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b760fd9
- Convert qubes-input-trigger to python3

* Sun Mar 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7b0896c
- version 1.0.14

* Sat Jan 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4920d9d
- tests: try not to hit the menu on tablet tests

* Sat Jan 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 368431b
- tests: drop right and middle buttons from emulated touchscreen

* Sat Jan 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 76c725a
- tests: round coordinates received from X server

* Sat Oct 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 61c2330
- debian: don't create orig.tar.gz manually

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e5d6c7a
- version 1.0.13

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9634785
- travis: add fc28 and fc29

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 65bb4b9
- rpm: name python2 explicitly, instead of relying on python -> python2 symlink

* Tue Oct 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b7a7fa8
- rpm: add BR: gcc

* Wed May 23 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e20165c
- version 1.0.12

* Wed May 23 2018 Frédéric Pierret <frederic.epitre@orange.fr> - abe1d76
- Fix remaining old define version

* Fri May 04 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 516d884
- Add tablet/touchscreen handling to qubes-input-trigger

* Wed May 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4fc2b07
- version 1.0.11

* Wed May 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1a60abe
- rpm: add BR: python3-setuptools

* Tue May 01 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d61f40f
- rpm: add missing BR: systemd

* Tue May 01 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 34ccd53
- travis: add centos7

* Sun Apr 29 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 59b4842
- Use python3_pkgversion macro

* Wed Apr 18 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3fccda2
- Merge branch 'tablet'

* Sun Apr 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6ffb349
- travis: update Fedora versions

* Sun Apr 15 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 90bd872
- Merge remote-tracking branch 'qubesos/pr/6'

* Sat Apr 14 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9bf2ec1
- gitignore update

* Sat Apr 14 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f56d8a5
- Add qrexec service related files for tablet devices

* Sat Apr 14 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cfe104d
- tests: remove some unused buttons from tablet

* Sat Apr 14 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a90c22e
- Use --quiet in oss-fuzz integration

* Sat Apr 14 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e0e303f
- receiver: add --quiet and --verbose options

* Sat Apr 14 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 603db87
- receiver: fix mem and fd leak

* Sat Apr 14 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9a93134
- Add oss-fuzz integration

* Sat Apr 14 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4df808b
- tests: simple test for tablet device

* Sat Apr 14 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - adaacde
- Add support for tablet/touchscreen devices

* Sat Apr 14 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e091225
- receiver: use UI_DEV_SETUP for device initialization

* Sat Apr 14 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 78c53a3
- receiver: use helper function instead of raw bit operations

* Sat Apr 14 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cdd0e0d
- tests: make them working locally, outside qubes dom0

* Sat Apr 14 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0c322ce
- tests: Update for python 3

* Sat Apr 07 2018 Frédéric Pierret <frederic.epitre@orange.fr> - b2df1a9
- Fix GCC8 warnings

* Tue Apr 03 2018 Frédéric Pierret <frederic.epitre@orange.fr> - f6eaa6f
- spec.in: add changelog placeholder

* Mon Jan 29 2018 Frédéric Pierret <frederic.epitre@orange.fr> - b5ae6c1
- Create .spec.in and Source0

* Wed Jul 05 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d16212d
- version 1.0.10

* Wed Jul 05 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d98961f
- Ignore platform devices exposed by qemu in HVM

* Wed Jul 05 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4e67b0d
- Add sudo configuration for post-GUI startup trigger

* Tue Jul 04 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8a59eda
- Merge remote-tracking branch 'qubesos/pr/4'

* Sun May 14 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3625dfb
- version 1.0.9

* Sun May 14 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1904d06
- travis: drop Qubes 3.1, add Qubes 4.0

* Sun May 14 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 20ebd32
- Use ID_INPUT_KEY udev variable to detect "keyboard"

* Fri Mar 17 2017 Andrew David Wong <adw@qubes-os.org> - 1ef00ba
- Move security warning to qubes-doc

* Tue Jan 10 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 240b73c
- travis: drop debootstrap workaround

* Sat Nov 19 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1a8ff21
- version 1.0.8

